Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclDNS Class Reference
[OSCL IO]

`#include <oscl_dns.h>`

Inheritance diagram for OsclDNS:

## Public Methods
OSCL_IMPORT_REF | ~OsclDNS ()
OSCL_IMPORT_REF TPVDNSEvent | GetHostByName (char *name, OsclNetworkAddress &addr, int32 aTimeoutMsec=-1, Oscl_Vector< OsclNetworkAddress, OsclMemAllocator > *aAddressList=NULL)
OSCL_IMPORT_REF void | CancelGetHostByName ()
## Static Public Methods
OSCL_IMPORT_REF OsclDNS * | NewL (Oscl_DefAlloc &alloc, OsclSocketServ &aServ, OsclDNSObserver &aObserver, uint32 aId)
## Friends
class | OsclDNSRequestAO

## Detailed Description

The DNS class

## Constructor & Destructor Documentation

OSCL_IMPORT_REF OsclDNS::~OsclDNS | ( |  | ) |

| Destructor. Note: the application must de-allocate the DNS object using the same allocator that was passed in the NewL object creation call.

## Member Function Documentation

OSCL_IMPORT_REF void OsclDNS::CancelGetHostByName | ( |  | ) |

| Cancel GetHostByName This method will cancel any pending GetHostByName operation on the current object, causing the GetHostByName to complete with error EPVDNSCancel. If there is no pending GetHostByName operation, this method will have no effect.

OSCL_IMPORT_REF TPVDNSEvent OsclDNS::GetHostByName | ( | char * | name,
|  | OsclNetworkAddress & | addr,
|  | int32 | aTimeoutMsec = -1,
|  | Oscl_Vector< OsclNetworkAddress, OsclMemAllocator > * | aAddressList = NULL
| ) |

  | GetHostByName. This is an asynchronous method. Parameters:
  name: | Null-terminated string containing the host name.
  addr: | The output address corresponding to the host. The ipAddr field will contain the network address of the host in dotted decimal notation.
  aTimeoutMsec: | A timeout for the request in milliseconds, or (-1) to indicate infinite wait.
  aAddressList | : A list of addresses for the host. @returns: EPVDNSPending for success, EPVDNSFailure for failure.

OSCL_IMPORT_REF OsclDNS* OsclDNS::NewL | ( | Oscl_DefAlloc & | alloc,
|  | OsclSocketServ & | aServ,
|  | OsclDNSObserver & | aObserver,
|  | uint32 | aId
| ) | `[static]`

  | DNS object creation. Parameters:
  alloc: | Memory allocator
  aServ: | Socket server.
  aObserver: | DNS Event observer
  aId: | Unique ID for this DNS object. This ID will be included in all callbacks associated with this DNS object.

## Friends And Related Function Documentation

friend class OsclDNSRequestAO`[friend]`

The documentation for this class was generated from the following file:

- oscl_dns.h